package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.PersonalAuthentication;


/**
*  service接口类
*/
public interface PersonalAuthenticationService{

    List<PersonalAuthentication> getPersonalAuthenticationList(PersonalAuthentication record);

    List<PersonalAuthentication> getPersonalAuthenticationByPage(Page page, PersonalAuthentication record);

    PersonalAuthentication getPersonalAuthenticationById(String id);

    PersonalAuthentication getPersonalAuthentication(PersonalAuthentication record);

    boolean createPersonalAuthentication(PersonalAuthentication record);

    boolean deletePersonalAuthentication(String id);

    boolean updatePersonalAuthentication(PersonalAuthentication record);

    boolean pass(PersonalAuthentication record);

    boolean fail(PersonalAuthentication record);
}

